#R Code to Create Figure 1. Performance-Rating Relationship
#Data file is created by Stata code in replication do file

library(foreign)

pepg <- read.dta("C:/Documents and Settings/Matt/Desktop/forRfig.dta")

par(mfcol=c(2,1), mar=c(4,3,1,3), oma=c(1,1,2,0), mgp=c(2,1,0), family="serif")

plot(x=-1, y=-1, xlim=c(0,100), ylim=c(1,3.5), xlab='Percent Proficient', ylab="Predicted Rating", pch=1, cex.axis=.9, cex.lab=.9)
lines(x=pepg$prof, y=pepg$evpa, lwd=2)
lines(x=pepg$prof, y=pepg$evnp, lwd=2, col='darkgrey')

legend(x=70, y=2.1, c('Non-Parents', 'Parents'), lwd=c(2,2), 
lty=c(1,1), col=c('darkgrey', 'black'), cex=.9)


plot(x=-5, y=-5, xlim=c(0, 100), ylim=c(-1.5,.5), xlab ="Percent Proficient", ylab="Difference in Predicted Rating", 
pch=2, cex.axis=.9, cex.lab=.9)
lines(x=pepg$prof, y=pepg$fd, lwd=2)
lines(x=pepg$prof, y=pepg$p05fd, lty=2)
lines(x=pepg$prof, y=pepg$p95fd, lty=2)

legend(x=70, y=-0.6, c('Difference', '95% CI'), lwd=c(2,1), 
lty=c(1,2), col=c('black', 'black'), cex=.9)

mtext("Figure 1. Performance-Rating Relationship", line=0, outer=TRUE, cex=.9)

